Subject: Impotence Joke (re: Longevity)

From: [email-masked] (Kurt Guntheroth)
Date: 13 Feb 89 00:30:04 GMT

97 year old man comes to his doctor looking depressed.  He says "Doc, I
think I'm impotent."  Doctor sits him down and begins the standard speech he
gives to senior citizens, about how as the body ages bodily functions slow
down and it is completely normal to suffer some decrease in sexual desire.
How the man shouldn't worry or become upset about it, but should just relax
and things will probably be completely fine and blah blah blah.  Finally the
doctor asks "When did you first begin to think you were impotent?"

"Three times last night, and again this morning."

--